POST api/Groups/AddPostComment_v2
Request Information
URI Parameters
None.
Body Parameters
CommentModel| Name | Description | Type | Additional information |
|---|---|---|---|
| groupPostId | integer |
None. |
|
| text | string |
None. |
|
| comment | string |
None. |
|
| accountGuid | globally unique identifier |
None. |
|
| date | date |
None. |
|
| imagesToDelete | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"groupPostId": 1,
"text": "sample string 1",
"comment": "sample string 2",
"accountGuid": "d1402d33-47a7-4d0f-ac85-b38317c4a734",
"date": "2026-04-12T17:55:57.1156399+03:00",
"imagesToDelete": "sample string 4"
}
text/plain, application/octet-stream
Sample:
{"groupPostId":1,"text":"sample string 1","comment":"sample string 2","accountGuid":"d1402d33-47a7-4d0f-ac85-b38317c4a734","date":"2026-04-12T17:55:57.1156399+03:00","imagesToDelete":"sample string 4"}
application/xml, text/xml
Sample:
<CommentModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.Models.Groups_api_models"> <accountGuid>d1402d33-47a7-4d0f-ac85-b38317c4a734</accountGuid> <comment>sample string 2</comment> <date>2026-04-12T17:55:57.1156399+03:00</date> <groupPostId>1</groupPostId> <imagesToDelete>sample string 4</imagesToDelete> <text>sample string 1</text> </CommentModel>
multipart/form-data, application/form-data
Sample:
<CommentModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.Models.Groups_api_models"><accountGuid>d1402d33-47a7-4d0f-ac85-b38317c4a734</accountGuid><comment>sample string 2</comment><date>2026-04-12T17:55:57.1156399+03:00</date><groupPostId>1</groupPostId><imagesToDelete>sample string 4</imagesToDelete><text>sample string 1</text></CommentModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, text/plain, application/octet-stream, application/xml, text/xml, multipart/form-data, application/form-data
Sample:
Sample not available.